/ Check-in [a674f76d]
Login

Many hyperlinks are disabled.
Use anonymous login to enable hyperlinks.

Overview
Comment:Miscellaneous autoconf cleanups - get rid of TARGET_CFLAGS, fix header list (CVS 4828)
Downloads: Tarball | ZIP archive | SQL archive
Timelines: family | ancestors | descendants | both | trunk
Files: files | file ages | folders
SHA1:a674f76db9035375772706b6ff1cfaa2a459ffb0
User & Date: mlcreech 2008-03-06 08:54:38
Context
2008-03-06
09:03
Remove amalgamation on "make clean" (fixes #2559) (CVS 4829) check-in: e03802f3 user: mlcreech tags: trunk
08:54
Miscellaneous autoconf cleanups - get rid of TARGET_CFLAGS, fix header list (CVS 4828) check-in: a674f76d user: mlcreech tags: trunk
08:09
Respect user's configured bindir/libdir/includedir if present (fixes #558) (CVS 4827) check-in: 48c9fa97 user: mlcreech tags: trunk
Changes
Hide Diffs Side-by-Side Diffs Ignore Whitespace Patch

Changes to Makefile.in.

    22     22   #
    23     23   BCC = @BUILD_CC@ @BUILD_CFLAGS@
    24     24   
    25     25   # C Compile and options for use in building executables that 
    26     26   # will run on the target platform.  (BCC and TCC are usually the
    27     27   # same unless your are cross-compiling.)
    28     28   #
    29         -TCC = @CC@ @CFLAGS@ @TARGET_CFLAGS@ -I. -I${TOP}/src
           29  +TCC = @CC@ @CPPFLAGS@ @CFLAGS@ -I. -I${TOP}/src
    30     30   
    31     31   # Define -DNDEBUG to compile without debugging (i.e., for production usage)
    32     32   # Omitting the define will cause extra debugging code to be inserted and
    33     33   # includes extra comments when "EXPLAIN stmt" is used.
    34     34   #
    35     35   TCC += @TARGET_DEBUG@ @XTHREADCONNECT@
    36     36   

Changes to configure.

   839    839   INSTALL_DATA
   840    840   AWK
   841    841   program_prefix
   842    842   VERSION
   843    843   RELEASE
   844    844   VERSION_NUMBER
   845    845   BUILD_CC
   846         -BUILD_CFLAGS
   847    846   SQLITE_THREADSAFE
   848    847   TARGET_THREAD_LIB
   849    848   XTHREADCONNECT
   850    849   THREADSOVERRIDELOCKS
   851    850   ALLOWRELEASE
   852    851   TEMP_STORE
   853    852   BUILD_EXEEXT
................................................................................
   869    868   HAVE_TCL
   870    869   TARGET_READLINE_LIBS
   871    870   TARGET_READLINE_INC
   872    871   TARGET_HAVE_READLINE
   873    872   TARGET_DEBUG
   874    873   USE_AMALGAMATION
   875    874   LOADEXTENSION_FLAGS
   876         -TARGET_CFLAGS
          875  +BUILD_CFLAGS
   877    876   LIBOBJS
   878    877   LTLIBOBJS'
   879    878   ac_subst_files=''
   880    879         ac_precious_vars='build_alias
   881    880   host_alias
   882    881   target_alias
   883    882   CC
................................................................................
  1943   1942   ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
  1944   1943   ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
  1945   1944   ac_compiler_gnu=$ac_cv_c_compiler_gnu
  1946   1945   
  1947   1946   
  1948   1947   
  1949   1948   # The following RCS revision string applies to configure.in
  1950         -# $Revision: 1.49 $
         1949  +# $Revision: 1.50 $
  1951   1950   
  1952   1951   #########
  1953   1952   # Programs needed
  1954   1953   #
  1955   1954   # Check whether --enable-shared was given.
  1956   1955   if test "${enable_shared+set}" = set; then
  1957   1956     enableval=$enable_shared; p=${PACKAGE-default}
................................................................................
  3694   3693         ;;
  3695   3694       esac
  3696   3695     fi
  3697   3696     rm -rf conftest*
  3698   3697     ;;
  3699   3698   *-*-irix6*)
  3700   3699     # Find out which ABI we are using.
  3701         -  echo '#line 3701 "configure"' > conftest.$ac_ext
         3700  +  echo '#line 3700 "configure"' > conftest.$ac_ext
  3702   3701     if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
  3703   3702     (eval $ac_compile) 2>&5
  3704   3703     ac_status=$?
  3705   3704     echo "$as_me:$LINENO: \$? = $ac_status" >&5
  3706   3705     (exit $ac_status); }; then
  3707   3706      if test "$lt_cv_prog_gnu_ld" = yes; then
  3708   3707       case `/usr/bin/file conftest.$ac_objext` in
................................................................................
  6373   6372      # Note that $ac_compile itself does not contain backslashes and begins
  6374   6373      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6375   6374      # The option is referenced via a variable to avoid confusing sed.
  6376   6375      lt_compile=`echo "$ac_compile" | $SED \
  6377   6376      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6378   6377      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6379   6378      -e 's:$: $lt_compiler_flag:'`
  6380         -   (eval echo "\"\$as_me:6380: $lt_compile\"" >&5)
         6379  +   (eval echo "\"\$as_me:6379: $lt_compile\"" >&5)
  6381   6380      (eval "$lt_compile" 2>conftest.err)
  6382   6381      ac_status=$?
  6383   6382      cat conftest.err >&5
  6384         -   echo "$as_me:6384: \$? = $ac_status" >&5
         6383  +   echo "$as_me:6383: \$? = $ac_status" >&5
  6385   6384      if (exit $ac_status) && test -s "$ac_outfile"; then
  6386   6385        # The compiler can only warn and ignore the option if not recognized
  6387   6386        # So say no if there are warnings other than the usual output.
  6388   6387        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
  6389   6388        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
  6390   6389        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
  6391   6390          lt_cv_prog_compiler_rtti_exceptions=yes
................................................................................
  6641   6640      # Note that $ac_compile itself does not contain backslashes and begins
  6642   6641      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6643   6642      # The option is referenced via a variable to avoid confusing sed.
  6644   6643      lt_compile=`echo "$ac_compile" | $SED \
  6645   6644      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6646   6645      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6647   6646      -e 's:$: $lt_compiler_flag:'`
  6648         -   (eval echo "\"\$as_me:6648: $lt_compile\"" >&5)
         6647  +   (eval echo "\"\$as_me:6647: $lt_compile\"" >&5)
  6649   6648      (eval "$lt_compile" 2>conftest.err)
  6650   6649      ac_status=$?
  6651   6650      cat conftest.err >&5
  6652         -   echo "$as_me:6652: \$? = $ac_status" >&5
         6651  +   echo "$as_me:6651: \$? = $ac_status" >&5
  6653   6652      if (exit $ac_status) && test -s "$ac_outfile"; then
  6654   6653        # The compiler can only warn and ignore the option if not recognized
  6655   6654        # So say no if there are warnings other than the usual output.
  6656   6655        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
  6657   6656        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
  6658   6657        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
  6659   6658          lt_prog_compiler_pic_works=yes
................................................................................
  6745   6744      # (2) before a word containing "conftest.", or (3) at the end.
  6746   6745      # Note that $ac_compile itself does not contain backslashes and begins
  6747   6746      # with a dollar sign (not a hyphen), so the echo should work correctly.
  6748   6747      lt_compile=`echo "$ac_compile" | $SED \
  6749   6748      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
  6750   6749      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
  6751   6750      -e 's:$: $lt_compiler_flag:'`
  6752         -   (eval echo "\"\$as_me:6752: $lt_compile\"" >&5)
         6751  +   (eval echo "\"\$as_me:6751: $lt_compile\"" >&5)
  6753   6752      (eval "$lt_compile" 2>out/conftest.err)
  6754   6753      ac_status=$?
  6755   6754      cat out/conftest.err >&5
  6756         -   echo "$as_me:6756: \$? = $ac_status" >&5
         6755  +   echo "$as_me:6755: \$? = $ac_status" >&5
  6757   6756      if (exit $ac_status) && test -s out/conftest2.$ac_objext
  6758   6757      then
  6759   6758        # The compiler can only warn and ignore the option if not recognized
  6760   6759        # So say no if there are warnings
  6761   6760        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
  6762   6761        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
  6763   6762        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
  9090   9089   else
  9091   9090     	  if test "$cross_compiling" = yes; then :
  9092   9091     lt_cv_dlopen_self=cross
  9093   9092   else
  9094   9093     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  9095   9094     lt_status=$lt_dlunknown
  9096   9095     cat > conftest.$ac_ext <<EOF
  9097         -#line 9097 "configure"
         9096  +#line 9096 "configure"
  9098   9097   #include "confdefs.h"
  9099   9098   
  9100   9099   #if HAVE_DLFCN_H
  9101   9100   #include <dlfcn.h>
  9102   9101   #endif
  9103   9102   
  9104   9103   #include <stdio.h>
................................................................................
  9190   9189   else
  9191   9190     	  if test "$cross_compiling" = yes; then :
  9192   9191     lt_cv_dlopen_self_static=cross
  9193   9192   else
  9194   9193     lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
  9195   9194     lt_status=$lt_dlunknown
  9196   9195     cat > conftest.$ac_ext <<EOF
  9197         -#line 9197 "configure"
         9196  +#line 9196 "configure"
  9198   9197   #include "confdefs.h"
  9199   9198   
  9200   9199   #if HAVE_DLFCN_H
  9201   9200   #include <dlfcn.h>
  9202   9201   #endif
  9203   9202   
  9204   9203   #include <stdio.h>
................................................................................
 11526  11525      # Note that $ac_compile itself does not contain backslashes and begins
 11527  11526      # with a dollar sign (not a hyphen), so the echo should work correctly.
 11528  11527      # The option is referenced via a variable to avoid confusing sed.
 11529  11528      lt_compile=`echo "$ac_compile" | $SED \
 11530  11529      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 11531  11530      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 11532  11531      -e 's:$: $lt_compiler_flag:'`
 11533         -   (eval echo "\"\$as_me:11533: $lt_compile\"" >&5)
        11532  +   (eval echo "\"\$as_me:11532: $lt_compile\"" >&5)
 11534  11533      (eval "$lt_compile" 2>conftest.err)
 11535  11534      ac_status=$?
 11536  11535      cat conftest.err >&5
 11537         -   echo "$as_me:11537: \$? = $ac_status" >&5
        11536  +   echo "$as_me:11536: \$? = $ac_status" >&5
 11538  11537      if (exit $ac_status) && test -s "$ac_outfile"; then
 11539  11538        # The compiler can only warn and ignore the option if not recognized
 11540  11539        # So say no if there are warnings other than the usual output.
 11541  11540        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 11542  11541        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 11543  11542        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 11544  11543          lt_prog_compiler_pic_works_CXX=yes
................................................................................
 11630  11629      # (2) before a word containing "conftest.", or (3) at the end.
 11631  11630      # Note that $ac_compile itself does not contain backslashes and begins
 11632  11631      # with a dollar sign (not a hyphen), so the echo should work correctly.
 11633  11632      lt_compile=`echo "$ac_compile" | $SED \
 11634  11633      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 11635  11634      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 11636  11635      -e 's:$: $lt_compiler_flag:'`
 11637         -   (eval echo "\"\$as_me:11637: $lt_compile\"" >&5)
        11636  +   (eval echo "\"\$as_me:11636: $lt_compile\"" >&5)
 11638  11637      (eval "$lt_compile" 2>out/conftest.err)
 11639  11638      ac_status=$?
 11640  11639      cat out/conftest.err >&5
 11641         -   echo "$as_me:11641: \$? = $ac_status" >&5
        11640  +   echo "$as_me:11640: \$? = $ac_status" >&5
 11642  11641      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 11643  11642      then
 11644  11643        # The compiler can only warn and ignore the option if not recognized
 11645  11644        # So say no if there are warnings
 11646  11645        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 11647  11646        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 11648  11647        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 13237  13236      # Note that $ac_compile itself does not contain backslashes and begins
 13238  13237      # with a dollar sign (not a hyphen), so the echo should work correctly.
 13239  13238      # The option is referenced via a variable to avoid confusing sed.
 13240  13239      lt_compile=`echo "$ac_compile" | $SED \
 13241  13240      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 13242  13241      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 13243  13242      -e 's:$: $lt_compiler_flag:'`
 13244         -   (eval echo "\"\$as_me:13244: $lt_compile\"" >&5)
        13243  +   (eval echo "\"\$as_me:13243: $lt_compile\"" >&5)
 13245  13244      (eval "$lt_compile" 2>conftest.err)
 13246  13245      ac_status=$?
 13247  13246      cat conftest.err >&5
 13248         -   echo "$as_me:13248: \$? = $ac_status" >&5
        13247  +   echo "$as_me:13247: \$? = $ac_status" >&5
 13249  13248      if (exit $ac_status) && test -s "$ac_outfile"; then
 13250  13249        # The compiler can only warn and ignore the option if not recognized
 13251  13250        # So say no if there are warnings other than the usual output.
 13252  13251        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 13253  13252        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 13254  13253        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 13255  13254          lt_prog_compiler_pic_works_F77=yes
................................................................................
 13341  13340      # (2) before a word containing "conftest.", or (3) at the end.
 13342  13341      # Note that $ac_compile itself does not contain backslashes and begins
 13343  13342      # with a dollar sign (not a hyphen), so the echo should work correctly.
 13344  13343      lt_compile=`echo "$ac_compile" | $SED \
 13345  13344      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 13346  13345      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 13347  13346      -e 's:$: $lt_compiler_flag:'`
 13348         -   (eval echo "\"\$as_me:13348: $lt_compile\"" >&5)
        13347  +   (eval echo "\"\$as_me:13347: $lt_compile\"" >&5)
 13349  13348      (eval "$lt_compile" 2>out/conftest.err)
 13350  13349      ac_status=$?
 13351  13350      cat out/conftest.err >&5
 13352         -   echo "$as_me:13352: \$? = $ac_status" >&5
        13351  +   echo "$as_me:13351: \$? = $ac_status" >&5
 13353  13352      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 13354  13353      then
 13355  13354        # The compiler can only warn and ignore the option if not recognized
 13356  13355        # So say no if there are warnings
 13357  13356        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 13358  13357        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 13359  13358        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 15576  15575      # Note that $ac_compile itself does not contain backslashes and begins
 15577  15576      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15578  15577      # The option is referenced via a variable to avoid confusing sed.
 15579  15578      lt_compile=`echo "$ac_compile" | $SED \
 15580  15579      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15581  15580      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15582  15581      -e 's:$: $lt_compiler_flag:'`
 15583         -   (eval echo "\"\$as_me:15583: $lt_compile\"" >&5)
        15582  +   (eval echo "\"\$as_me:15582: $lt_compile\"" >&5)
 15584  15583      (eval "$lt_compile" 2>conftest.err)
 15585  15584      ac_status=$?
 15586  15585      cat conftest.err >&5
 15587         -   echo "$as_me:15587: \$? = $ac_status" >&5
        15586  +   echo "$as_me:15586: \$? = $ac_status" >&5
 15588  15587      if (exit $ac_status) && test -s "$ac_outfile"; then
 15589  15588        # The compiler can only warn and ignore the option if not recognized
 15590  15589        # So say no if there are warnings other than the usual output.
 15591  15590        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 15592  15591        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 15593  15592        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 15594  15593          lt_cv_prog_compiler_rtti_exceptions=yes
................................................................................
 15844  15843      # Note that $ac_compile itself does not contain backslashes and begins
 15845  15844      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15846  15845      # The option is referenced via a variable to avoid confusing sed.
 15847  15846      lt_compile=`echo "$ac_compile" | $SED \
 15848  15847      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15849  15848      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15850  15849      -e 's:$: $lt_compiler_flag:'`
 15851         -   (eval echo "\"\$as_me:15851: $lt_compile\"" >&5)
        15850  +   (eval echo "\"\$as_me:15850: $lt_compile\"" >&5)
 15852  15851      (eval "$lt_compile" 2>conftest.err)
 15853  15852      ac_status=$?
 15854  15853      cat conftest.err >&5
 15855         -   echo "$as_me:15855: \$? = $ac_status" >&5
        15854  +   echo "$as_me:15854: \$? = $ac_status" >&5
 15856  15855      if (exit $ac_status) && test -s "$ac_outfile"; then
 15857  15856        # The compiler can only warn and ignore the option if not recognized
 15858  15857        # So say no if there are warnings other than the usual output.
 15859  15858        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' >conftest.exp
 15860  15859        $SED '/^$/d; /^ *+/d' conftest.err >conftest.er2
 15861  15860        if test ! -s conftest.er2 || diff conftest.exp conftest.er2 >/dev/null; then
 15862  15861          lt_prog_compiler_pic_works_GCJ=yes
................................................................................
 15948  15947      # (2) before a word containing "conftest.", or (3) at the end.
 15949  15948      # Note that $ac_compile itself does not contain backslashes and begins
 15950  15949      # with a dollar sign (not a hyphen), so the echo should work correctly.
 15951  15950      lt_compile=`echo "$ac_compile" | $SED \
 15952  15951      -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
 15953  15952      -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
 15954  15953      -e 's:$: $lt_compiler_flag:'`
 15955         -   (eval echo "\"\$as_me:15955: $lt_compile\"" >&5)
        15954  +   (eval echo "\"\$as_me:15954: $lt_compile\"" >&5)
 15956  15955      (eval "$lt_compile" 2>out/conftest.err)
 15957  15956      ac_status=$?
 15958  15957      cat out/conftest.err >&5
 15959         -   echo "$as_me:15959: \$? = $ac_status" >&5
        15958  +   echo "$as_me:15958: \$? = $ac_status" >&5
 15960  15959      if (exit $ac_status) && test -s out/conftest2.$ac_objext
 15961  15960      then
 15962  15961        # The compiler can only warn and ignore the option if not recognized
 15963  15962        # So say no if there are warnings
 15964  15963        $echo "X$_lt_compiler_boilerplate" | $Xsed -e '/^$/d' > out/conftest.exp
 15965  15964        $SED '/^$/d; /^ *+/d' out/conftest.err >out/conftest.er2
 15966  15965        if test ! -s out/conftest.er2 || diff out/conftest.exp out/conftest.er2 >/dev/null; then
................................................................................
 19387  19386   
 19388  19387   fi
 19389  19388   
 19390  19389   
 19391  19390   #########
 19392  19391   # Check for needed/wanted headers
 19393  19392   
 19394         -for ac_header in sys/types.h
        19393  +
        19394  +
        19395  +
        19396  +for ac_header in sys/types.h stdlib.h stdint.h inttypes.h
 19395  19397   do
 19396  19398   as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 19397         -{ echo "$as_me:$LINENO: checking for $ac_header" >&5
        19399  +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
        19400  +  { echo "$as_me:$LINENO: checking for $ac_header" >&5
 19398  19401   echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
 19399  19402   if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
 19400  19403     echo $ECHO_N "(cached) $ECHO_C" >&6
        19404  +fi
        19405  +ac_res=`eval echo '${'$as_ac_Header'}'`
        19406  +	       { echo "$as_me:$LINENO: result: $ac_res" >&5
        19407  +echo "${ECHO_T}$ac_res" >&6; }
 19401  19408   else
 19402         -  cat >conftest.$ac_ext <<_ACEOF
        19409  +  # Is the header compilable?
        19410  +{ echo "$as_me:$LINENO: checking $ac_header usability" >&5
        19411  +echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
        19412  +cat >conftest.$ac_ext <<_ACEOF
 19403  19413   /* confdefs.h.  */
 19404  19414   _ACEOF
 19405  19415   cat confdefs.h >>conftest.$ac_ext
 19406  19416   cat >>conftest.$ac_ext <<_ACEOF
 19407  19417   /* end confdefs.h.  */
 19408         -inttypes.h
 19409         -
        19418  +$ac_includes_default
 19410  19419   #include <$ac_header>
 19411  19420   _ACEOF
 19412  19421   rm -f conftest.$ac_objext
 19413  19422   if { (ac_try="$ac_compile"
 19414  19423   case "(($ac_try" in
 19415  19424     *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
 19416  19425     *) ac_try_echo=$ac_try;;
................................................................................
 19422  19431     rm -f conftest.er1
 19423  19432     cat conftest.err >&5
 19424  19433     echo "$as_me:$LINENO: \$? = $ac_status" >&5
 19425  19434     (exit $ac_status); } && {
 19426  19435   	 test -z "$ac_c_werror_flag" ||
 19427  19436   	 test ! -s conftest.err
 19428  19437          } && test -s conftest.$ac_objext; then
 19429         -  eval "$as_ac_Header=yes"
        19438  +  ac_header_compiler=yes
        19439  +else
        19440  +  echo "$as_me: failed program was:" >&5
        19441  +sed 's/^/| /' conftest.$ac_ext >&5
        19442  +
        19443  +	ac_header_compiler=no
        19444  +fi
        19445  +
        19446  +rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
        19447  +{ echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
        19448  +echo "${ECHO_T}$ac_header_compiler" >&6; }
        19449  +
        19450  +# Is the header present?
        19451  +{ echo "$as_me:$LINENO: checking $ac_header presence" >&5
        19452  +echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
        19453  +cat >conftest.$ac_ext <<_ACEOF
        19454  +/* confdefs.h.  */
        19455  +_ACEOF
        19456  +cat confdefs.h >>conftest.$ac_ext
        19457  +cat >>conftest.$ac_ext <<_ACEOF
        19458  +/* end confdefs.h.  */
        19459  +#include <$ac_header>
        19460  +_ACEOF
        19461  +if { (ac_try="$ac_cpp conftest.$ac_ext"
        19462  +case "(($ac_try" in
        19463  +  *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
        19464  +  *) ac_try_echo=$ac_try;;
        19465  +esac
        19466  +eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
        19467  +  (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
        19468  +  ac_status=$?
        19469  +  grep -v '^ *+' conftest.er1 >conftest.err
        19470  +  rm -f conftest.er1
        19471  +  cat conftest.err >&5
        19472  +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
        19473  +  (exit $ac_status); } >/dev/null && {
        19474  +	 test -z "$ac_c_preproc_warn_flag$ac_c_werror_flag" ||
        19475  +	 test ! -s conftest.err
        19476  +       }; then
        19477  +  ac_header_preproc=yes
 19430  19478   else
 19431  19479     echo "$as_me: failed program was:" >&5
 19432  19480   sed 's/^/| /' conftest.$ac_ext >&5
 19433  19481   
 19434         -	eval "$as_ac_Header=no"
        19482  +  ac_header_preproc=no
 19435  19483   fi
 19436  19484   
 19437         -rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
        19485  +rm -f conftest.err conftest.$ac_ext
        19486  +{ echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
        19487  +echo "${ECHO_T}$ac_header_preproc" >&6; }
        19488  +
        19489  +# So?  What about this header?
        19490  +case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
        19491  +  yes:no: )
        19492  +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
        19493  +echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
        19494  +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
        19495  +echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
        19496  +    ac_header_preproc=yes
        19497  +    ;;
        19498  +  no:yes:* )
        19499  +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
        19500  +echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
        19501  +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
        19502  +echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
        19503  +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
        19504  +echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
        19505  +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
        19506  +echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
        19507  +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
        19508  +echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
        19509  +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
        19510  +echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
        19511  +
        19512  +    ;;
        19513  +esac
        19514  +{ echo "$as_me:$LINENO: checking for $ac_header" >&5
        19515  +echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
        19516  +if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
        19517  +  echo $ECHO_N "(cached) $ECHO_C" >&6
        19518  +else
        19519  +  eval "$as_ac_Header=\$ac_header_preproc"
 19438  19520   fi
 19439  19521   ac_res=`eval echo '${'$as_ac_Header'}'`
 19440  19522   	       { echo "$as_me:$LINENO: result: $ac_res" >&5
 19441  19523   echo "${ECHO_T}$ac_res" >&6; }
        19524  +
        19525  +fi
 19442  19526   if test `eval echo '${'$as_ac_Header'}'` = yes; then
 19443  19527     cat >>confdefs.h <<_ACEOF
 19444  19528   #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
 19445  19529   _ACEOF
 19446         - stdlib.h
 19447         -else
 19448         -  stdint.h
        19530  +
 19449  19531   fi
 19450  19532   
 19451  19533   done
 19452  19534   
 19453  19535   
 19454  19536   #########
 19455  19537   # Set up an appropriate program prefix
................................................................................
 19562  19644   done
 19563  19645   
 19564  19646   	fi
 19565  19647   	if test "${BUILD_CFLAGS+set}" != set; then
 19566  19648   		BUILD_CFLAGS="-g"
 19567  19649   	fi
 19568  19650   fi
 19569         -
 19570  19651   
 19571  19652   
 19572  19653   ##########
 19573  19654   # Do we want to support multithreaded use of sqlite
 19574  19655   #
 19575  19656   # Check whether --enable-threadsafe was given.
 19576  19657   if test "${enable_threadsafe+set}" = set; then
................................................................................
 19858  19939     TARGET_EXEEXT=$config_TARGET_EXEEXT
 19859  19940   fi
 19860  19941   if test "$TARGET_EXEEXT" = ".exe"; then
 19861  19942     if test $OS2_SHELL ; then
 19862  19943       OS_UNIX=0
 19863  19944       OS_WIN=0
 19864  19945       OS_OS2=1
 19865         -    TARGET_CFLAGS="$TARGET_CFLAGS -DOS_OS2=1"
        19946  +    CFLAGS="$CFLAGS -DOS_OS2=1"
 19866  19947       if test "$ac_compiler_gnu" == "yes" ; then
 19867         -      TARGET_CFLAGS="$TARGET_CFLAGS -Zomf -Zexe -Zmap"
        19948  +      CFLAGS="$CFLAGS -Zomf -Zexe -Zmap"
 19868  19949         BUILD_CFLAGS="$BUILD_CFLAGS -Zomf -Zexe"
 19869  19950       fi
 19870  19951     else
 19871  19952       OS_UNIX=0
 19872  19953       OS_WIN=1
 19873  19954       OS_OS2=0
 19874  19955       tclsubdir=win
 19875         -    TARGET_CFLAGS="$TARGET_CFLAGS -DOS_WIN=1"
        19956  +    CFLAGS="$CFLAGS -DOS_WIN=1"
 19876  19957     fi
 19877  19958   else
 19878  19959     OS_UNIX=1
 19879  19960     OS_WIN=0
 19880  19961     OS_OS2=0
 19881  19962     tclsubdir=unix
 19882         -  TARGET_CFLAGS="$TARGET_CFLAGS -DOS_UNIX=1"
        19963  +  CFLAGS="$CFLAGS -DOS_UNIX=1"
 19883  19964   fi
 19884  19965   
 19885  19966   
 19886  19967   
 19887  19968   
 19888  19969   
 19889  19970   
................................................................................
 20653  20734   
 20654  20735   rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 20655  20736         conftest$ac_exeext conftest.$ac_ext
 20656  20737   fi
 20657  20738   { echo "$as_me:$LINENO: result: $ac_cv_func_usleep" >&5
 20658  20739   echo "${ECHO_T}$ac_cv_func_usleep" >&6; }
 20659  20740   if test $ac_cv_func_usleep = yes; then
 20660         -  TARGET_CFLAGS="$TARGET_CFLAGS -DHAVE_USLEEP=1"
        20741  +  CFLAGS="$CFLAGS -DHAVE_USLEEP=1"
 20661  20742   fi
 20662  20743   
 20663  20744   
 20664  20745   #--------------------------------------------------------------------
 20665  20746   # Redefine fdatasync as fsync on systems that lack fdatasync
 20666  20747   #--------------------------------------------------------------------
 20667  20748   
................................................................................
 20743  20824   
 20744  20825   rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
 20745  20826         conftest$ac_exeext conftest.$ac_ext
 20746  20827   fi
 20747  20828   { echo "$as_me:$LINENO: result: $ac_cv_func_fdatasync" >&5
 20748  20829   echo "${ECHO_T}$ac_cv_func_fdatasync" >&6; }
 20749  20830   if test $ac_cv_func_fdatasync = yes; then
 20750         -  TARGET_CFLAGS="$TARGET_CFLAGS -DHAVE_FDATASYNC=1"
        20831  +  CFLAGS="$CFLAGS -DHAVE_FDATASYNC=1"
 20751  20832   fi
 20752  20833   
 20753  20834   
 20754  20835   #########
 20755  20836   # Output the config header
 20756  20837   ac_config_headers="$ac_config_headers src/config.h"
 20757  20838   
................................................................................
 21452  21533   INSTALL_DATA!$INSTALL_DATA$ac_delim
 21453  21534   AWK!$AWK$ac_delim
 21454  21535   program_prefix!$program_prefix$ac_delim
 21455  21536   VERSION!$VERSION$ac_delim
 21456  21537   RELEASE!$RELEASE$ac_delim
 21457  21538   VERSION_NUMBER!$VERSION_NUMBER$ac_delim
 21458  21539   BUILD_CC!$BUILD_CC$ac_delim
 21459         -BUILD_CFLAGS!$BUILD_CFLAGS$ac_delim
 21460  21540   SQLITE_THREADSAFE!$SQLITE_THREADSAFE$ac_delim
 21461  21541   TARGET_THREAD_LIB!$TARGET_THREAD_LIB$ac_delim
 21462  21542   XTHREADCONNECT!$XTHREADCONNECT$ac_delim
 21463  21543   THREADSOVERRIDELOCKS!$THREADSOVERRIDELOCKS$ac_delim
 21464  21544   ALLOWRELEASE!$ALLOWRELEASE$ac_delim
 21465  21545   TEMP_STORE!$TEMP_STORE$ac_delim
 21466  21546   BUILD_EXEEXT!$BUILD_EXEEXT$ac_delim
................................................................................
 21472  21552   TCL_BIN_DIR!$TCL_BIN_DIR$ac_delim
 21473  21553   TCL_SRC_DIR!$TCL_SRC_DIR$ac_delim
 21474  21554   TCL_LIBS!$TCL_LIBS$ac_delim
 21475  21555   TCL_INCLUDE_SPEC!$TCL_INCLUDE_SPEC$ac_delim
 21476  21556   TCL_LIB_FILE!$TCL_LIB_FILE$ac_delim
 21477  21557   TCL_LIB_FLAG!$TCL_LIB_FLAG$ac_delim
 21478  21558   TCL_LIB_SPEC!$TCL_LIB_SPEC$ac_delim
        21559  +TCL_STUB_LIB_FILE!$TCL_STUB_LIB_FILE$ac_delim
 21479  21560   _ACEOF
 21480  21561   
 21481  21562     if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
 21482  21563       break
 21483  21564     elif $ac_last_try; then
 21484  21565       { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
 21485  21566   echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
................................................................................
 21513  21594   CEOF$ac_eof
 21514  21595   _ACEOF
 21515  21596   
 21516  21597   
 21517  21598   ac_delim='%!_!# '
 21518  21599   for ac_last_try in false false false false false :; do
 21519  21600     cat >conf$$subs.sed <<_ACEOF
 21520         -TCL_STUB_LIB_FILE!$TCL_STUB_LIB_FILE$ac_delim
 21521  21601   TCL_STUB_LIB_FLAG!$TCL_STUB_LIB_FLAG$ac_delim
 21522  21602   TCL_STUB_LIB_SPEC!$TCL_STUB_LIB_SPEC$ac_delim
 21523  21603   HAVE_TCL!$HAVE_TCL$ac_delim
 21524  21604   TARGET_READLINE_LIBS!$TARGET_READLINE_LIBS$ac_delim
 21525  21605   TARGET_READLINE_INC!$TARGET_READLINE_INC$ac_delim
 21526  21606   TARGET_HAVE_READLINE!$TARGET_HAVE_READLINE$ac_delim
 21527  21607   TARGET_DEBUG!$TARGET_DEBUG$ac_delim
 21528  21608   USE_AMALGAMATION!$USE_AMALGAMATION$ac_delim
 21529  21609   LOADEXTENSION_FLAGS!$LOADEXTENSION_FLAGS$ac_delim
 21530         -TARGET_CFLAGS!$TARGET_CFLAGS$ac_delim
        21610  +BUILD_CFLAGS!$BUILD_CFLAGS$ac_delim
 21531  21611   LIBOBJS!$LIBOBJS$ac_delim
 21532  21612   LTLIBOBJS!$LTLIBOBJS$ac_delim
 21533  21613   _ACEOF
 21534  21614   
 21535         -  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 13; then
        21615  +  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 12; then
 21536  21616       break
 21537  21617     elif $ac_last_try; then
 21538  21618       { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5
 21539  21619   echo "$as_me: error: could not make $CONFIG_STATUS" >&2;}
 21540  21620      { (exit 1); exit 1; }; }
 21541  21621     else
 21542  21622       ac_delim="$ac_delim!$ac_delim _$ac_delim!! "

Changes to configure.ac.

    88     88   # the corresponding code.
    89     89   #
    90     90   AC_INIT(sqlite, m4_esyscmd([cat VERSION | tr -d '\n']))
    91     91   
    92     92   dnl Put the RCS revision string after AC_INIT so that it will also
    93     93   dnl show in in configure.
    94     94   # The following RCS revision string applies to configure.in
    95         -# $Revision: 1.35 $
           95  +# $Revision: 1.36 $
    96     96   
    97     97   #########
    98     98   # Programs needed
    99     99   #
   100    100   AC_PROG_LIBTOOL
   101    101   AC_PROG_INSTALL
   102    102   AC_PROG_AWK
................................................................................
   104    104   #########
   105    105   # Check for needed/wanted data types
   106    106   AC_CHECK_TYPES([int8_t, int16_t, int32_t, int64_t, intptr_t, uint8_t,
   107    107                   uint16_t, uint32_t, uint64_t, uintptr_t])
   108    108   
   109    109   #########
   110    110   # Check for needed/wanted headers
   111         -AC_CHECK_HEADERS(sys/types.h, stdlib.h, stdint.h, inttypes.h)
          111  +AC_CHECK_HEADERS(sys/types.h stdlib.h stdint.h inttypes.h)
   112    112   
   113    113   #########
   114    114   # Set up an appropriate program prefix
   115    115   #
   116    116   if test "$program_prefix" = "NONE"; then
   117    117     program_prefix=""
   118    118   fi
................................................................................
   177    177   		AC_CHECK_PROGS(BUILD_CC, gcc cc cl)
   178    178   	fi
   179    179   	if test "${BUILD_CFLAGS+set}" != set; then
   180    180   		BUILD_CFLAGS="-g"
   181    181   	fi
   182    182   fi
   183    183   AC_SUBST(BUILD_CC)
   184         -AC_SUBST(BUILD_CFLAGS)
   185    184   
   186    185   ##########
   187    186   # Do we want to support multithreaded use of sqlite
   188    187   #
   189    188   AC_ARG_ENABLE(threadsafe, 
   190    189   AC_HELP_STRING([--enable-threadsafe],[Support threadsafe operation]),,enable_threadsafe=yes)
   191    190   AC_MSG_CHECKING([whether to support threadsafe operation])
................................................................................
   315    314     TARGET_EXEEXT=$config_TARGET_EXEEXT
   316    315   fi
   317    316   if test "$TARGET_EXEEXT" = ".exe"; then
   318    317     if test $OS2_SHELL ; then
   319    318       OS_UNIX=0
   320    319       OS_WIN=0
   321    320       OS_OS2=1
   322         -    TARGET_CFLAGS="$TARGET_CFLAGS -DOS_OS2=1"
          321  +    CFLAGS="$CFLAGS -DOS_OS2=1"
   323    322       if test "$ac_compiler_gnu" == "yes" ; then
   324         -      TARGET_CFLAGS="$TARGET_CFLAGS -Zomf -Zexe -Zmap"
          323  +      CFLAGS="$CFLAGS -Zomf -Zexe -Zmap"
   325    324         BUILD_CFLAGS="$BUILD_CFLAGS -Zomf -Zexe"
   326    325       fi
   327    326     else
   328    327       OS_UNIX=0
   329    328       OS_WIN=1
   330    329       OS_OS2=0
   331    330       tclsubdir=win
   332         -    TARGET_CFLAGS="$TARGET_CFLAGS -DOS_WIN=1"
          331  +    CFLAGS="$CFLAGS -DOS_WIN=1"
   333    332     fi
   334    333   else
   335    334     OS_UNIX=1
   336    335     OS_WIN=0
   337    336     OS_OS2=0
   338    337     tclsubdir=unix
   339         -  TARGET_CFLAGS="$TARGET_CFLAGS -DOS_UNIX=1"
          338  +  CFLAGS="$CFLAGS -DOS_UNIX=1"
   340    339   fi
   341    340   
   342    341   AC_SUBST(BUILD_EXEEXT)
   343    342   AC_SUBST(OS_UNIX)
   344    343   AC_SUBST(OS_WIN)
   345    344   AC_SUBST(OS_OS2)
   346    345   AC_SUBST(TARGET_EXEEXT)
................................................................................
   594    593     LOADEXTENSION_FLAGS="-DSQLITE_OMIT_LOAD_EXTENSION=1"
   595    594   fi
   596    595   AC_SUBST(LOADEXTENSION_FLAGS)
   597    596   
   598    597   #########
   599    598   # Figure out whether or not we have a "usleep()" function.
   600    599   #
   601         -AC_CHECK_FUNC(usleep, [TARGET_CFLAGS="$TARGET_CFLAGS -DHAVE_USLEEP=1"])
          600  +AC_CHECK_FUNC(usleep, [CFLAGS="$CFLAGS -DHAVE_USLEEP=1"])
   602    601   
   603    602   #--------------------------------------------------------------------
   604    603   # Redefine fdatasync as fsync on systems that lack fdatasync
   605    604   #--------------------------------------------------------------------
   606    605   
   607         -AC_CHECK_FUNC(fdatasync, [TARGET_CFLAGS="$TARGET_CFLAGS -DHAVE_FDATASYNC=1"])
          606  +AC_CHECK_FUNC(fdatasync, [CFLAGS="$CFLAGS -DHAVE_FDATASYNC=1"])
   608    607   
   609    608   #########
   610    609   # Output the config header
   611    610   AC_CONFIG_HEADERS(src/config.h)
   612    611   
   613    612   #########
   614    613   # Generate the output files.
   615    614   #
   616         -AC_SUBST(TARGET_CFLAGS)
          615  +AC_SUBST(BUILD_CFLAGS)
   617    616   AC_OUTPUT([
   618    617   Makefile
   619    618   sqlite3.pc
   620    619   ])